public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: chronyd-and-similar: Adjust relevancy of bz#2173604
Date: Fri, 11 Sep 2026 13:22:49 GMT [thread overview]
Message-ID: <178913296982.1.2204521251243752098.tests-selinux-937d363e84ab@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 937d363e84ab88e09e45adbed4e5ddb1db12d728
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-16T16:12:44+00:00
Stats : +9/-7 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/937d363e84ab88e09e45adbed4e5ddb1db12d728?branch=pr775-checkpolicy-revdeps
Log:
chronyd-and-similar: Adjust relevancy of bz#2173604
Do not test bz#2173604 on RHEL-9.2 or lower.
---
diff --git a/selinux-policy/chronyd-and-similar/runtest.sh b/selinux-policy/chronyd-and-similar/runtest.sh
index b88e654..269bb91 100755
--- a/selinux-policy/chronyd-and-similar/runtest.sh
+++ b/selinux-policy/chronyd-and-similar/runtest.sh
@@ -287,13 +287,15 @@ rlJournalStart
# rlRun "grep resolve /etc/nsswitch.conf"
rlPhaseEnd
- rlPhaseStartTest "bz#2173604"
- rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
- rlRun "ls -dZ /proc/sys/net/ipv6/conf/all | grep :sysctl_net_t"
- rlRun "ls -dZ /proc/sys/net/ipv6/conf/all/disable_ipv6 | grep :sysctl_net_t"
- rlSESearchRule "allow chronyc_t sysctl_net_t : dir { search } [ ]"
- rlSESearchRule "allow chronyc_t sysctl_net_t : file { getattr open read } [ ]"
- rlPhaseEnd
+ if ! rlIsRHEL "<9.3" ; then
+ rlPhaseStartTest "bz#2173604"
+ rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
+ rlRun "ls -dZ /proc/sys/net/ipv6/conf/all | grep :sysctl_net_t"
+ rlRun "ls -dZ /proc/sys/net/ipv6/conf/all/disable_ipv6 | grep :sysctl_net_t"
+ rlSESearchRule "allow chronyc_t sysctl_net_t : dir { search } [ ]"
+ rlSESearchRule "allow chronyc_t sysctl_net_t : file { getattr open read } [ ]"
+ rlPhaseEnd
+ fi
fi
if ! rlIsRHEL 5 6 7 ; then
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913296982.1.2204521251243752098.tests-selinux-937d363e84ab@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox